commit:     53bd330c71ac80cb044ecfa1270edad801665c56
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 11 08:16:51 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jan 11 08:17:22 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53bd330c

dev-ruby/actionpack-xml_parser: add ruby33

Bug: https://bugs.gentoo.org/947807
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 .../actionpack-xml_parser-2.0.1-r4.ebuild          | 40 ++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git 
a/dev-ruby/actionpack-xml_parser/actionpack-xml_parser-2.0.1-r4.ebuild 
b/dev-ruby/actionpack-xml_parser/actionpack-xml_parser-2.0.1-r4.ebuild
new file mode 100644
index 000000000000..170082471d28
--- /dev/null
+++ b/dev-ruby/actionpack-xml_parser/actionpack-xml_parser-2.0.1-r4.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack-xml_parser.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="XML parameters parser for Action Pack (removed from core in Rails 
4.0)"
+HOMEPAGE="https://github.com/rails/actionpack-xml_parser";
+SRC_URI="https://github.com/rails/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+
+SLOT="2"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend "
+       || ( dev-ruby/actionpack:7.2 dev-ruby/actionpack:7.1 
dev-ruby/actionpack:7.0 dev-ruby/actionpack:6.1 )
+       || ( dev-ruby/railties:7.2 dev-ruby/railties:7.1 dev-ruby/railties:7.0 
dev-ruby/railties:6.1 )
+"
+
+ruby_add_bdepend "test? ( =dev-ruby/railties-7* )"
+
+all_ruby_prepare() {
+       sed -i -e "/bundler/d" Rakefile test/helper.rb || die
+       sed -e '1igem "actionpack", "~>7.2.0"' \
+               -e '3irequire "active_support/core_ext/kernel/reporting.rb"' \
+               -i test/helper.rb || die
+
+       # Skip test that is not compatible with Rails 5.2
+       sed -i -e '/occurring a parse error if parsing unsuccessful/askip 
"rails 5.2"' test/xml_params_parsing_test.rb || die
+}
+
+each_ruby_test() {
+       MT_NO_PLUGINS=true ${RUBY} -Ilib:.:test -e 
"Dir['test/*_test.rb'].each{|f| require f}" || die
+}

Reply via email to